<mat-sidenav-container class="sidenav-container">
  <mat-sidenav
    #drawer
    class="sidenav"
    fixedInViewport="true"
    [attr.role]="(isHandset$ | async) ? 'dialog' : 'navigation'"
    [mode]="(isHandset$ | async) ? 'over' : 'side'"
    [opened]="!(isHandset$ | async)"
  >
    <mat-toolbar color="primary">Filters</mat-toolbar>
    <img
      mat-card-avatar
      class="avatar-image"
      src="{{currentMatch.mainPhoto}}"
    />

    <h2>{{ currentMatch.displayName }}</h2>
    <!-- Filter components - Start -->
    <div style="padding: 6%">
      <mat-slide-toggle
        [(ngModel)]="filter.hasPhoto"
        (change)="filterMatches($event, 'photo')"
        name="photo"
        >Has Photo</mat-slide-toggle
      >
      <mat-slide-toggle [disabled]="true" name="inContact"
        >In Contact</mat-slide-toggle
      >
      <mat-slide-toggle
        [(ngModel)]="filter.favourite"
        (change)="filterMatches($event, 'favourite')"
        name="favourite"
        >Favourite</mat-slide-toggle
      >
      Compatibility:
      <nouislider
        [connect]="true"
        [min]="1"
        [max]="99"
        [step]="10"
        [tooltips]="[true, true]"
        [(ngModel)]="csRange"
        (end)="filterMatches($event, 'cs')"
      ></nouislider>
      Age:
      <nouislider
        [connect]="true"
        [min]="18"
        [max]="95"
        [step]="5"
        [tooltips]="[true, true]"
        [(ngModel)]="ageRange"
        (end)="filterMatches($event, 'age')"
      ></nouislider>
      Height:
      <nouislider
        [connect]="true"
        [min]="135"
        [max]="210"
        [step]="5"
        [tooltips]="[true, true]"
        [(ngModel)]="heightRange"
        (end)="filterMatches($event, 'height')"
      ></nouislider>
      Max Distance (in KM):
      <nouislider
        [connect]="true"
        [min]="30"
        [max]="300"
        [step]="5"
        [tooltips]="[true]"
        [(ngModel)]="dist"
        (end)="filterMatches($event, 'dist')"
      ></nouislider>
    </div>
    <!-- Filter components - End -->
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar color="primary">
      <button
        type="button"
        aria-label="Toggle sidenav"
        mat-icon-button
        (click)="drawer.toggle()"
        *ngIf="(isHandset$ | async)"
      >
        <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
      </button>
      <div style="align-content: flex-end">
        <button mat-raised-button color="primary" (click)="returnToLanding()">
          Return
        </button>
        <span>Matches</span>
      </div>
    </mat-toolbar>
    <!-- Add Content Here -->
    <mat-card *ngFor="let match of matches">
      <mat-card-header>
        <img mat-card-avatar class="avatar-image" src="{{match.mainPhoto}}" />
        <mat-card-title
          >{{ match.displayName }}
          <sup *ngIf="match.favourite" style="color: darkcyan"
            >Favourite</sup
          ></mat-card-title
        >
        <mat-card-subtitle>{{ match.jobTitle }}</mat-card-subtitle>
      </mat-card-header>
      <span style="font-size: 12px;">
        {{ match.age }} Yrs | Lives in: {{ match.city.name }} | Height:
        {{ match.heightInCm }} Cms | Religion: {{ match.religion }} |
        Compatibility: {{ match.compatibilityScore * 100 }}% | Contacts
        Exchanged: {{ match.contactsExchanged }}
      </span>
    </mat-card>
  </mat-sidenav-content>
</mat-sidenav-container>
